Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 246186 - Review Request: dtc - Device Tree Compiler
Summary: Review Request: dtc - Device Tree Compiler
Keywords:
Status: CLOSED DUPLICATE of bug 234484
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jima
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-29 02:31 UTC by Josh Boyer
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-10 01:59:40 UTC
jima: fedora-review+
kevin: fedora-cvs-


Attachments (Terms of Use)

Description Josh Boyer 2007-06-29 02:31:19 UTC
Spec URL: http://jdub.homelinux.org/pub/dtc.spec
SRPM URL: http://jdub.homelinux.org/pub/dtc-0-0.1.20070628gitd9d679fb9.fc7.src.rpm
Description:

The Device Tree Compiler generates flattened Open Firmware style device trees
for use with PowerPC machines that lack an Open Firmware implementation

Comment 1 Jima 2007-06-29 14:52:35 UTC
Picking up for review...

Comment 2 Josh Boyer 2007-06-29 15:47:42 UTC
the spec file has the wrong instructions for recreating the source.  I'll fix
that in the next revision.  For now, use:

git clone git://www.jdl.com/software/dtc.git; cd dtc; git checkout d9d679fb9; cd
..; mv dtc dtc-20070628; tar -czvf dtc-20070628.tar.gz dtc-20070628;

Comment 3 Josh Boyer 2007-06-29 16:20:56 UTC
Ok, fixed up the spec file and uploaded a new SRPM:

Spec URL: http://jdub.homelinux.org/pub/dtc.spec
SRPM URL: http://jdub.homelinux.org/pub/dtc-0-0.2.20070628gitd9d679fb9.fc7.src.rpm

Comment 4 Jima 2007-06-29 16:49:03 UTC
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
tar -zxf dtc-20070628.tar.gz
git clone git://www.jdl.com/software/dtc.git
cd dtc
git checkout d9d679fb9 
rm -rf .git
cd ..
diff -urN dtc-20070628/ dtc/
(nada!)

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
Documentation is a little thin, but that's upstream's problem to resolve.
OK - Package compiles and builds on at least one arch. (i386, ppc)
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
no - No rpmlint output.
W: dtc no-version-in-last-changelog

OK - final provides and requires are sane:
Requires:
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1   
rtld(GNU_HASH)

Provides:
dtc = 0-0.1.20070628gitd9d679fb9.fc6

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
My x86_64 builder is out of commission ATM, but I'll assume it works there.
OK - Should function as described.
As far as I can tell. :-)
OK - Should have dist tag
OK - Should package latest version
Well, sort of.  Close enough, I think.

In closing, I have a bit of issue with the lack of an EVR on your changelog
entries, but as long as this gets resolved at some point, I think we can let it
slide.  (Cue screams of bloody murder... ;-)

I think we can call dtc APPROVED.

Comment 5 Josh Boyer 2007-06-29 18:23:47 UTC
New Package CVS Request
=======================
Package Name: dtc
Short Description: Device Tree Compiler
Owners: jwboyer@jdub.homelinux.org
Branches: F-7
InitialCC: 

Comment 6 Kevin Fenzi 2007-06-29 21:01:00 UTC
This package already seems to be setup in cvs/owners.list.
However, it doesn't look like it was every imported or built...

See: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=234484

Perhaps you could talk to the maintainer about taking it over or co-maintaining it? 

Comment 7 Josh Boyer 2007-07-10 01:59:40 UTC

*** This bug has been marked as a duplicate of 234484 ***


Note You need to log in before you can comment on or make changes to this bug.